Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script
Class InterpreterPool

    java.lang.Object
      org.apache.batik.script.InterpreterPool

    public class InterpreterPool

extends Object

A class allowing to create/query an `Interpreter` corresponding to a particular `Document` and scripting language.

By default, it is able to create interpreters for ECMAScript, Python and Tcl scripting languages if you provide the right jar files in your CLASSPATH (i.e. Rhino, JPython and Jacl jar files).

Field Summary
`static String` | `BIND_NAME_DOCUMENT` Name of the "document" object when referenced by scripts
`protected static Map` | `defaultFactories` The default InterpreterFactory map.
`protected Map` | `factories` The InterpreterFactory map.

Constructor Summary
`InterpreterPool()` Constructs a new `InterpreterPool`.

Method Summary
`Interpreter` | `createInterpreter(Document document, String language)` Creates a new interpreter for the specified document and according to the specified language.
`void` | `putInterpreterFactory(String language, InterpreterFactory factory)` Adds for the specified language, the specified Interpreter factory.
`void` | `removeInterpreterFactory(String language)` Removes the InterpreterFactory associated to the specified language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIND_NAME_DOCUMENT

    public static final String BIND_NAME_DOCUMENT

  Name of the "document" object when referenced by scripts

  See Also:
    Constant Field Values

### defaultFactories

    protected static Map defaultFactories

  The default InterpreterFactory map.

### factories

    protected Map factories

  The InterpreterFactory map.

Constructor Detail

### InterpreterPool

    public InterpreterPool()

  Constructs a new `InterpreterPool`.

Method Detail

### createInterpreter

    public Interpreter createInterpreter(Document document,
                                         String language)

  Creates a new interpreter for the specified document and according to the specified language. This method can return null if no interpreter has been found for the specified language.

  Parameters:
    `document` - the document that needs the interpreter
    `language` - the scripting language

### putInterpreterFactory

    public void putInterpreterFactory(String language,
                                      InterpreterFactory factory)

  Adds for the specified language, the specified Interpreter factory.

  Parameters:
    `language` - the language for which the factory is registered
    `factory` - the `InterpreterFactory` to register

### removeInterpreterFactory

    public void removeInterpreterFactory(String language)

  Removes the InterpreterFactory associated to the specified language.

  Parameters:
    `language` - the language for which the factory should be removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.